Bug 222971 - [update] security/botan110: Update to 1.10.17
Summary: [update] security/botan110: Update to 1.10.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-13 08:34 UTC by Ralf van der Enden
Modified: 2018-12-21 14:35 UTC (History)
2 users (show)

See Also:
lapo: maintainer-feedback+


Attachments
Update to 1.10.17 (4.11 KB, patch)
2017-10-13 08:34 UTC, Ralf van der Enden
no flags Details | Diff
Update to 1.10.17 (new patch) (4.55 KB, patch)
2017-10-22 20:49 UTC, Ralf van der Enden
no flags Details | Diff
Update to 1.10.17 (pet portlint one final time) (7.63 KB, patch)
2017-10-23 11:09 UTC, Ralf van der Enden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2017-10-13 08:34:59 UTC
Created attachment 187124 [details]
Update to 1.10.17

I modernized the Makefile to use the new options helper.

Botan 1.10 doesn't build against OpenSSL 1.1.x (now also fails to build with a warning about that), so I've added a BROKEN line when building against security/openssl-devel. Added patches to fix building against LibreSSL.

Changelog: https://botan.randombit.net/news.html#version-1-10-17-2017-10-02
Comment 1 Ralf van der Enden 2017-10-22 20:49:51 UTC
Created attachment 187376 [details]
Update to 1.10.17 (new patch)

- Pet portlint
- Move to USES=shebangfix for configure.py
- Use DISTVERSION instead of PORTVERSION
- Change post-patch-DOCS-on to post-patch-DOCS-off (so it actually does what it should do; I misread the original Makefile)
Comment 2 Ralf van der Enden 2017-10-23 11:09:37 UTC
Created attachment 187389 [details]
Update to 1.10.17 (pet portlint one final time)

pet portlint one final time and regenerate a patch.
Comment 3 Lapo Luchini 2018-02-23 09:08:37 UTC
Other than needing to change REVISION=6 to REVISION=7 in the first hunk, the patch (and the resulting executable) works perfectly.
Comment 4 Dima Panov freebsd_committer 2018-10-26 10:54:32 UTC
grab
Comment 5 commit-hook freebsd_committer 2018-10-30 14:00:51 UTC
A commit references this bug:

Author: fluffy
Date: Tue Oct 30 14:00:32 UTC 2018
New revision: 483489
URL: https://svnweb.freebsd.org/changeset/ports/483489

Log:
  - Update to 1.10.7 release [1]
  - While here, add unofficial OpenSSL 1.1.x API support [2, based on]

  PR:		222971 [1], 229030 [2]
  Submitted by:	Ralf van der Enden [1], Nathan Dowens [2]
  Reported by:	brnrd [2]
  Approved by:	maintainer
  MFH:		2018Q4

Changes:
  head/security/botan110/Makefile
  head/security/botan110/distinfo
  head/security/botan110/files/extra-patch-openssl11